unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, ecSyntAnal, ecSyntMemo, ImgList;

type
  TForm5 = class(TForm)
    SyntaxMemo1: TSyntaxMemo;
    SyntAnalyzer1: TSyntAnalyzer;
    ImageList1: TImageList;
    procedure SyntaxMemo1AfterLineDraw(Sender: TObject; Rect: TRect;
      Line: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form5: TForm5;

implementation

{$R *.dfm}

procedure TForm5.SyntaxMemo1AfterLineDraw(Sender: TObject; Rect: TRect;
  Line: Integer);
var p: TPoint;
begin
  with SyntaxMemo1 do
   begin
     p := Point(Lines.LineLength(Line), Line);
     p := CaretToMouse(p.X, p.Y);
     ImageList1.Draw(Canvas, p.x, p.y, Line mod ImageList1.Count);
   end;
end;

end.
